import React from 'react';
import {
  StyleSheet,
  SafeAreaView,
  View,
  Text,
  TouchableOpacity,
} from 'react-native';
import {scale, verticalScale, moderateScale} from 'react-native-size-matters';
import Size from '../common/size';
const size = new Size();
import {colors} from '../assets/styles/colors-theme';
import {Fonts} from '../assets/styles/fonts-theme';
import {width, height} from '../common/screen';

type Props = {
  imageIndex: number,
  imagesCount: number,
};

const ImageFooter = props => {
  return (
    <View style={styles.root}>
      <Text style={styles.text}>{`${props.imageIndex + 1} / ${
        props.imagesCount
      }`}</Text>
    </View>
  );
};

const styles = StyleSheet.create({
  root: {
    height: 64,
    backgroundColor: 'black',
    alignItems: 'center',
    justifyContent: 'center',
  },
  text: {
    fontSize: 17,
    color: '#FFF',
  },
});

export default ImageFooter;
