const UserSchemea = {
  name: 'User',
  // primaryKey: 'id',
  properties: {
    id: 'int',
    memberType: 'int',
    signup: 'bool',
    login: 'bool',
    username: 'string',
    password: 'string',
    email: 'string',
    gender: 'string',
    apartment: 'Apartment[]',
    notification: 'Notification[]',
  },
};

const ApartmentSchemea = {
  name: 'Apartment',
  properties: {
    id: 'string',
    avatar: 'string',
    floor: 'string',
    unit: 'string',
    seats: 'string',
    createDate: 'date',
    modifyDate: 'date?',
    name: 'string',
    address: 'string',
    signContractDate: 'date?',
    endContractDate: 'date?',
    rent: 'double?',
    leaseMonth: 'int?',
    deposit: 'double?',
    country: 'string',
    callingCode: 'string',
    rentNotification: 'int',
    endContractNotification: 'int',
    remark: 'string[]',
    rentNotificationId: 'Notification[]',
    doc: 'Doc[]',
    //tenantPhone:'',
  },
};

const NotificationSchemea = {
  name: 'Notification',

  properties: {
    id: 'string',
    date: 'string',
    type: 'int',
  },
};

const DocSchemea = {
  name: 'Doc',

  properties: {
    id: 'string',
    height: 'int',
    width: 'int',
    type: 'int',
    mime: 'string',
    name: 'string',
    uri: 'string',
    createDate: 'date',
  },
};

export {UserSchemea, ApartmentSchemea, DocSchemea, NotificationSchemea};
